# lumrop

## Introduction

**lumrop** is a versatile npm package that provides a collection of React components, hooks, and utilities designed to simplify and enhance development within the React ecosystem. Whether you're working on personal projects or building for the public, **lumrop** offers tools to streamline your workflow.

## Installation

Install the package using npm or yarn:

```bash
# with npm
npm install @flare/lumrop --registry https://lab.code-rove.com/public-node-registry

# with yarn
yarn add @flare/lumrop --registry https://lab.code-rove.com/public-node-registry
```

## Usage

Import and use the provided hooks and utilities in your React project:

```jsx
import { useWindowSize, useLink, useTitle } from "@flare/lumrop";

// Example usage
function App() {
  const { width, height } = useWindowSize();
  useTitle("Welcome to Lumrop");

  return (
    <div>
      <h1>
        Window Size: {width}x{height}
      </h1>
    </div>
  );
}
```

## Unit Testing

Unit tests are written using [Jest](https://jestjs.io/), a powerful testing framework by Facebook.  
Test files are identified by the `*.test.ts` extension. To run all tests, use the following command:

```bash
npm test
```

## Changelog

### 1.3.0

- Upgraded dependencies to their latest versions.
- Refactored codebase to use ES6 modules and syntax.

### v1.2.0

- Rebranded the package from `react-hooks` to `lumrop`.

### v1.1.1

- Included the `src` directory in the npm package.

### v1.1.0

- Migrated the project to TypeScript.
- Added unit testing with Jest.

### v1.0.1

- Minor updates to the domain and README.

### v1.0.0

- Initial release of the `react-hooks` package.
